var tabletInfoUpdate;

function fLoadOptionScriptPonto(id_tela, id_ponto) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                // opacity: 0.8, 
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "addOpcoes.php";
    var parametros = "id_tela=" + id_tela;
    parametros += "&id_ponto=" + id_ponto;

    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divPages").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divPages").innerHTML = texto;
                extraiScript(texto);

                $(".navbar-collapse").collapse('hide');
                $(document.body).removeClass('modal-open');

                setTimeout($.unblockUI, 200);

            } else {
                document.getElementById("divErrosPages").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }
    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
    
    //fLoadPerquisarFaturasScript(cliente, status);
}

function fLoadOptionScript(id_tela) {
	
	clearTimeout (tabletInfoUpdate);

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                // opacity: 0.8, 
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();
    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }
    var url = "addOpcoes.php";
    var parametros = "id_tela=" + id_tela;
    // parametros += "&databaseDestino=" + databaseDestino;

    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divPages").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divPages").innerHTML = texto;
                extraiScript(texto);
                $(".navbar-collapse").collapse('hide');
                $(document.body).removeClass('modal-open');
                setTimeout($.unblockUI, 200);
            } else {
                document.getElementById("divErrosPages").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadOptionScriptLeitura(id_tela, idPais) {
    clearInterval(intervalfInitAutoLoad);
    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                // opacity: 0.8, 
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "addOpcoes.php";
    var parametros = "id_tela=" + id_tela;
    parametros += "&idPais=" + idPais;




    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divPages").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divPages").innerHTML = texto;
                extraiScript(texto);

                $(".navbar-collapse").collapse('hide');
                $(document.body).removeClass('modal-open');

                setTimeout($.unblockUI, 200);

            } else {
                document.getElementById("divErrosPages").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadOptionScriptHome(id_tela) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                // opacity: 0.8, 
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "addOpcoes.php";
    var parametros = "id_tela=" + id_tela;
    // parametros += "&databaseDestino=" + databaseDestino;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divPages").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divPages").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);
                $(document.body).removeClass('modal-open');

            } else {
                document.getElementById("divErrosPages").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadPerquisarFaturasScript(cliente, status) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }
    var url = "perquisarFaturas.php";
    var parametros = "a=" + 'pesquisar';
    parametros += "&cliente=" + cliente;
    parametros += "&status=" + status;

    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divResultPesquisaFaturas").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divResultPesquisaFaturas").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);
                $(document.body).removeClass('modal-open');

                $("#btnPesquisarFaturas").button('reset');

            } else {
                document.getElementById("divErrosPesquisaFaturas").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadPerquisarCobrancasReceberScript(cliente, status) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "perquisarCobrancasReceber.php";
    var parametros = "a=" + 'pesquisar';
    parametros += "&cliente=" + cliente;
    parametros += "&status=" + status;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divResultPesquisaCobrancasReceber").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divResultPesquisaCobrancasReceber").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);
                $(document.body).removeClass('modal-open');

                $("#btnPesquisarCobrancas").button('reset');

            } else {
                document.getElementById("divErrosPesquisaCobrancasReceber").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadPerquisarCobrancasPagarScript(cliente, status) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "pesquisarCobrancasPagar.php";
    var parametros = "a=" + 'pesquisar';
    parametros += "&cliente=" + cliente;
    parametros += "&status=" + status;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divResultPesquisaCobrancasPagar").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divResultPesquisaCobrancasPagar").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);
                $(document.body).removeClass('modal-open');

                // $("#btnPesquisarCobrancas").button('reset');

            } else {
                document.getElementById("divErrosPesquisaCobrancasPagar").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadPerquisarTransacaoScript(tablet, start, end, tipo) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "pesquisarTransacaoPeriodo.php";
    var parametros = "a=" + 'pesquisar';
    parametros += "&tablet=" + tablet;
    parametros += "&start=" + start;
    parametros += "&end=" + end;
    parametros += "&tipo=" + tipo;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divResultPesquisaTransacaoPeriodo").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divResultPesquisaTransacaoPeriodo").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);

                $(document.body).removeClass('modal-open');

            } else {
                document.getElementById("divErrosPesquisaTransacaoPeriodo").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}

function fLoadPerquisarMovimentacaoScript(user, start, end) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "pesquisarMovimentacao.php";
    var parametros = "a=" + 'pesquisar';
    parametros += "&user=" + user;
    parametros += "&start=" + start;
    parametros += "&end=" + end;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divResultPesquisaMovimentacaoPeriodo").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divResultPesquisaMovimentacaoPeriodo").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);

                $(document.body).removeClass('modal-open');

            } else {
                document.getElementById("divErrosPesquisaMovimentacaoPeriodo").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadPerquisarAcumuladosPagosScript(tablet, start, end) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "pesquisarAcumuladosPagos.php";
    var parametros = "a=" + 'pesquisar';
    parametros += "&tablet=" + tablet;
    parametros += "&start=" + start;
    parametros += "&end=" + end;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divResultPesquisaAcumuladoPagoPeriodo").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divResultPesquisaAcumuladoPagoPeriodo").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);

                $(document.body).removeClass('modal-open');

            } else {
                document.getElementById("divErrosPesquisaAcumuladoPagoPeriodo").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}


function fLoadPerquisarFaturasPeriodoScript(cliente, start, end) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "perquisarFaturasPeriodo.php";
    var parametros = "a=" + 'pesquisar';
    parametros += "&cliente=" + cliente;
    parametros += "&start=" + start;
    parametros += "&end=" + end;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divResultPesquisaFaturasPeriodo").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divResultPesquisaFaturasPeriodo").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);
                $(document.body).removeClass('modal-open');

                $("#btnPersquisarFaturaPeriodo").button('reset');

            } else {
                document.getElementById("divErrosPesquisaFaturasPeriodo").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}

function fLoadArquivosPenDrive(id) {

    $(function () {
        $.blockUI({
            message: $("#loading-indicator"),
            css: {
                border: 'none',
                padding: '15px',
                background: '',
                opacity: 0.8,
                color: '#fff'
            }
        });
    });

    var xmlHttp = GetXmlHttpObject();

    if (xmlHttp == null) {
        alert("Seu navegador não possui suporte ao AJAX!");
        return;
    }


    var url = "addArquivoPendrive.php";
    var parametros = "id" + 'id';
    // parametros += "&cliente=" + cliente;
    // parametros += "&start=" + start;
    // parametros += "&end=" + end;


    xmlHttp.onreadystatechange = function () {

        if (xmlHttp.readyState == 4) {
            if (xmlHttp.status == 200) {
                document.getElementById("divPages").innerHTML = "";
                texto = unescape(xmlHttp.responseText.replace(/\+/g, " "));
                texto = unescape(xmlHttp.responseText);
                document.getElementById("divPages").innerHTML = texto;
                extraiScript(texto);

                setTimeout($.unblockUI, 200);
                $(document.body).removeClass('modal-open');

            } else {
                document.getElementById("divErrosPages").innerHTML = "<b>" + httpStatus(xmlHttp.status) + "</b>";
            }
        }
    }

    xmlHttp.open("POST", url, true);
    xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    // xmlHttp.setRequestHeader("Content-length", parametros.length);
    xmlHttp.setRequestHeader('Content-Type', "application/x-www-form-urlencoded; charset=utf-8");
    xmlHttp.send(parametros);
}



/** 
 * --------------------------------------------------------------------
 * --------- FUNÇÃO QUE EXECUTA TUDO O QUE TEM DENTRO DAS TAGS --------
 * -------------------- DE SCRIPT CHAMADAS POR AJAX -------------------
 * --------------------------------------------------------------------
 */

function extraiScript(texto) {

    // inicializa o inicio 
    var ini = 0;

    // loop enquanto achar um script
    while (ini != -1)
    {
        // procura uma tag de script
        ini = texto.indexOf('<script>', ini);
        //se encontrar
        if (ini >= 0)
        {
            // define o inicio para depois do fechamento dessa tag
            ini = texto.indexOf('>', ini) + 1;
            // procura o final do script
            var fim = texto.indexOf('</script>', ini);
            // extrai apenas o script
            codigo = texto.substring(ini, fim);
            // executa o script
            eval(codigo);
        }
    }
}

//---------------------------------------------------------------------
//---------------------------------------------------------------------


function GetXmlHttpObject() {
//instancia um novo xmlhttprequest        
//baseado na getXMLHttpObj que possui muitas cópias na net e eu nao sei quem é o autor original        
    if (typeof (XMLHttpRequest) != 'undefined')
    {
        return new XMLHttpRequest();
    }
    var axO = ['Microsoft.XMLHTTP', 'Msxml2.XMLHTTP', 'Msxml2.XMLHTTP.6.0', 'Msxml2.XMLHTTP.4.0', 'Msxml2.XMLHTTP.3.0'];
    for (var i = 0; i < axO.length; i++) {
        try {
            return new ActiveXObject(axO[i]);
        } catch (e) {
        }
    }
    return null;

}


///////////////////////////// FUNÇÃO QUE FORMATA A MSG DE ERRO DE ACORDO COM O COD HTTP
function httpStatus(stat) { //retorna o texto do erro http
    switch (stat)
    {
        case 400:
            return "Error 400: Solicita&ccedil;&atilde;o incompreensível. Por favor entre em contato com o TI";
            break;
        case 403:
        case 404:
            return "Error 404: N&atilde;o foi encontrada a URL solicitada. Por favor entre em contato com o TI";
            break;
        case 405:
            return "Error 405: O servidor n&atilde;o suporta o m&eacute;todo solicitado. Por favor entre em contato com o TI";
            break;
        case 500:
            return "Error 500: Erro desconhecido de natureza do servidor. Por favor entre em contato com o TI";
            break;
        case 503:
            return "Error 503: Capacidade m&aacute;xima do servidor alcançada Por favor entre em contato com o TI";
            break;
        default:
            return "Erro " + stat + ". Mais informa&ccedil;&otilde;es em http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html";
            break;
    }
}